TARGET        = mpdc
DESTDIR       = bin/$$(LANG)
OBJECTS_DIR   = obj/$$(LANG)
MOC_DIR       = obj/$$(LANG)
CONFIG       += release qt
RC_FILE       = mpdc.rc

win32-msvc {
  DEFINES            += "WIN32"
  QMAKE_CXXFLAGS      = /nologo /GR /GX
}

DEFINES  += $$(LANGUAGE)

HEADERS  += src/controlpanel.h \
            src/configdialog.h \
            src/mpdcom.h \
            src/playlist.h \
            src/playlistwindow.h \
            src/playlistmanager.h \
            src/configfile.h \
            src/configuration.h \
            src/waskin.h \
            src/gbutton.h \
            src/gtextview.h \
            src/gslider.h \
            src/zipextract.h

SOURCES  += src/main.cpp \
            src/controlpanel.cpp \
            src/configdialog.cpp \
            src/mpdcom.cpp \
            src/playlist.cpp \
            src/playlistwindow.cpp \
            src/playlistmanager.cpp \
            src/configfile.cpp \
            src/configuration.cpp \
            src/waskin.cpp \
            src/gbutton.cpp \
            src/gtextview.cpp \
            src/gslider.cpp \
            src/zipextract.cpp

SOURCES  += src/zipio/inflate.c \
            src/zipio/crc.c \
            src/zipio/zipio.c

