#ifndef __CONFIGDIALOG__H
#define __CONFIGDIALOG__H

#include "configfile.h"

#include <qdialog.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>

class ConfigDialog : public QDialog
{
Q_OBJECT
public:
                                ConfigDialog();
                                ~ConfigDialog();

  virtual void                  show(void);

private slots:
  void                          slotOk(void);

private:
  QVBoxLayout                   layout;

  QGroupBox                     serverBox;
  QVBoxLayout                   serverBoxLayout;
  QLabel                        serverAddressLabel;
  QLineEdit                     serverAddressLineEdit;
  QHBoxLayout                   serverAddressLayout;
  QLabel                        serverPortLabel;
  QLineEdit                     serverPortLineEdit;
  QHBoxLayout                   serverPortLayout;

  QGroupBox                     skinBox;
  QVBoxLayout                   skinBoxLayout;
  QLabel                        skinDirLabel;
  QLineEdit                     skinDirLineEdit;
  QHBoxLayout                   skinDirLayout;

  QHBoxLayout                   buttonLayout;
  QPushButton                   okButton;
  QPushButton                   cancelButton;
};


#endif
