#ifndef __GTEXTVIEW__
#define __GTEXTVIEW__

#include <qwidget.h>
#include <qpixmap.h>
#include <qtimer.h>

class WASkin;

class GTextView : public QWidget
{
Q_OBJECT
friend class WASkin;
public:
                                GTextView(QWidget * parent = 0);

  virtual void                  setText(QString);

protected:
  virtual void                  paintEvent(QPaintEvent *);

private slots:
  void                          update(void);

private:
  QString                       text;
  QString                       visibleText;
  QPixmap                       pmChar[93];
  QTimer                        timer;
  unsigned                      ticks;
};

#endif
